# Poco

# class ProcessImpl

Library: Foundation
Package: Processes
Header: Poco/Process_WIN32U.h

## Inheritance

Known Derived Classes: Process

## Member Summary

Member Functions: escapeArg, idImpl, isRunningImpl, killImpl, launchImpl, mustEscapeArg, requestTerminationImpl, terminationEventName, timesImpl, timesMicrosecondsImpl

## Types

### ArgsImpl

typedef std::vector < std::string > ArgsImpl;

### EnvImpl

typedef std::map < std::string, std::string > EnvImpl;

### PIDImpl

typedef UInt32 PIDImpl;

## Member Functions

### escapeArg

static std::string escapeArg(
const std::string & arg
);

### idImpl

static PIDImpl idImpl();

### isRunningImpl

static bool isRunningImpl(
const ProcessHandleImpl & handle
);

### isRunningImpl

static bool isRunningImpl(
PIDImpl pid
);

### killImpl

static void killImpl(
ProcessHandleImpl & handle
);

### killImpl

static void killImpl(
PIDImpl pid
);

### launchImpl

static ProcessHandleImpl * launchImpl(
const std::string & command,
const ArgsImpl & args,
const std::string & initialDirectory,
Pipe * inPipe,
Pipe * outPipe,
Pipe * errPipe,
const EnvImpl & env,
int options = 0
);

### mustEscapeArg

static bool mustEscapeArg(
const std::string & arg
);

### requestTerminationImpl

static void requestTerminationImpl(
PIDImpl pid
);

### terminationEventName

static std::string terminationEventName(
PIDImpl pid
);

### timesImpl

static void timesImpl(
long & userTime,
long & kernelTime
);

### timesMicrosecondsImpl

static void timesMicrosecondsImpl(
Poco::Int64 & userTime,
Poco::Int64 & kernelTime
);